This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 47516 - Boot hangs bring up interface ppp0 ONBOOT=yes
Boot hangs bring up interface ppp0 ONBOOT=yes
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-05 16:35 EDT by Robert L. Hillegas, Jr.
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert L. Hillegas, Jr. 2001-07-05 16:35:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When I specify ONBOOT=yes in /etc/sysconfig/network-scripts/ifcfg-ppp0, 
the boot process hangs. In /etc/rc.d/init.d/network, in the "for i in 
$interfaces; do" loop, it call action(), a function 
in /etc/rc.d/init.d/functions. The action() function hangs when it call 
intlog.
If I change ONBOOT=no and move the needed code (below) 
to /etc/rc.d/rc.local, it works fine.
Changes........
--- /mnt/south/etc/rc.d/rc.local	Mon Jan 29 17:37:38 2001
+++ /etc/rc.d/rc.local	Thu Jul  5 12:22:49 2001
@@ -34,3 +34,24 @@
     echo >> /etc/issue
 fi
 touch /var/lock/subsys/local
+
+## Inserted local processing RLH 7/4/2001
+## Purpose is to bring up ppp0 interface
+## Copied from /etc/rc.d/init.d/network
+
+# Source function library.
+. /etc/init.d/functions
+
+if [ ! -f /etc/sysconfig/network ]; then
+    exit 0
+fi
+
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+[ -x /sbin/ifconfig ] || exit 0
+
+action $"Bringing up interface ppp0: " /etc/sysconfig/network-
scripts/ifup ppp0
+#


How reproducible:
Always

Steps to Reproduce:
1.vi /etc/sysconfig/network-scripts/ifcfg-ppp0 ONBOOT=yes
2./sbin/shutdown -r now
3.:-)
	

Actual Results:  Systems hangs with text "Bring up interface ppp0" on 
screen.

Expected Results:  It should have finished booting.

Additional info:

initscripts-5.83-1
Comment 1 Robert L. Hillegas, Jr. 2002-01-24 10:38:46 EST
I just (24 Jan 2002) retested this using initscripts-5.84-1 with the same
results.
Comment 2 Bill Nottingham 2005-02-22 15:40:29 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.

Note You need to log in before you can comment on or make changes to this bug.